com.fasterxml.jackson.jaxrs.smile

## Class SmileEndpointConfig

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase<SmileEndpointConfig>
  - - com.fasterxml.jackson.jaxrs.smile.SmileEndpointConfig

-     public class SmileEndpointConfig
      extends EndpointConfigBase<SmileEndpointConfig>

  Container class for figuring out annotation-based configuration for JAX-RS end points.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase

      `_activeView, _deserDisable, _deserEnable, _reader, _rootName, _serDisable, _serEnable, _writer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SmileEndpointConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addAnnotation(Class<? extends Annotation> type, Annotation annotation, boolean forWriting)`
    `static SmileEndpointConfig` | `forReading(com.fasterxml.jackson.databind.ObjectReader reader, Annotation[] annotations)`
    `static SmileEndpointConfig` | `forWriting(com.fasterxml.jackson.databind.ObjectWriter writer, Annotation[] annotations)`
    `Object` | `modifyBeforeWrite(Object value)`

    - ### Methods inherited from class com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase

      `add, getActiveView, getReader, getRootName, getWriter, initReader, initWriter, nullIfEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmileEndpointConfig

          protected SmileEndpointConfig()

  - ### Method Detail

    - #### forReading

          public static SmileEndpointConfig forReading(com.fasterxml.jackson.databind.ObjectReader reader,
                                       Annotation[] annotations)

    - #### forWriting

          public static SmileEndpointConfig forWriting(com.fasterxml.jackson.databind.ObjectWriter writer,
                                       Annotation[] annotations)

    - #### addAnnotation

          protected void addAnnotation(Class<? extends Annotation> type,
                           Annotation annotation,
                           boolean forWriting)

      Overrides:
        `addAnnotation` in class `EndpointConfigBase<SmileEndpointConfig>`

    - #### modifyBeforeWrite

          public Object modifyBeforeWrite(Object value)

      Specified by:
        `modifyBeforeWrite` in class `EndpointConfigBase<SmileEndpointConfig>`

Copyright © 2012–2013 FasterXML. All rights reserved.